Debian Bug report logs - #346262
fte: FTBFS: Build dependency on xlibs-dev

version graph

Package: fte; Maintainer for fte is Debian QA Group <packages@qa.debian.org>; Source for fte is src:fte.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Fri, 6 Jan 2006 18:18:01 UTC

Severity: serious

Tags: fixed

Found in version fte/0.50.0-1.2

Fixed in version 0.50.0-1.3

Done: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Zdenek Kabelac <kabi@debian.org>:
Bug#346262; Package fte. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Zdenek Kabelac <kabi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Cc: Luk Claes <luk@debian.org>
Subject: fte: FTBFS: Build dependency on xlibs-dev
Date: Fri, 6 Jan 2006 19:03:39 +0100
Package: fte
Version: 0.50.0-1.2
Severity: serious

Hi,

Your package still has a build dependency on xlibs-dev.  This has
been removed as announced on:
http://lists.debian.org/debian-devel-announce/2005/11/msg00022.html

This means your package is now failing to build.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Zdenek Kabelac <kabi@debian.org>:
Bug#346262; Package fte. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Zdenek Kabelac <kabi@debian.org>. Full text and rfc822 format available.

Message #10 received at 346262@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 346262@bugs.debian.org
Subject: Intention to NMU
Date: Sat, 07 Jan 2006 00:25:10 +0100
[Message part 1 (text/plain, inline)]
Hi

Attached the patch for the version I intend to upload. Please respond if
you don't want this NMU to happen, if you are working yourself on a
patch or if you think that the attached patch won't work.

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D
[nmu.patch (text/plain, inline)]
diff -Nru /tmp/9V9Q9suaDz/fte-0.50.0/debian/changelog /tmp/KaniCSH2FD/fte-0.50.0/debian/changelog
--- /tmp/9V9Q9suaDz/fte-0.50.0/debian/changelog	2005-12-28 17:02:57.000000000 +0100
+++ /tmp/KaniCSH2FD/fte-0.50.0/debian/changelog	2006-01-07 00:16:55.000000000 +0100
@@ -1,3 +1,11 @@
+fte (0.50.0-1.3) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Split xlibs-dev build-dep (Closes: #346262)
+  * Quote values in menu files.
+
+ -- Luk Claes <luk@debian.org>  Sat,  7 Jan 2006 00:09:50 +0100
+
 fte (0.50.0-1.2) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nru /tmp/9V9Q9suaDz/fte-0.50.0/debian/control /tmp/KaniCSH2FD/fte-0.50.0/debian/control
--- /tmp/9V9Q9suaDz/fte-0.50.0/debian/control	2005-12-28 16:25:48.000000000 +0100
+++ /tmp/KaniCSH2FD/fte-0.50.0/debian/control	2006-01-07 00:09:45.000000000 +0100
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Zdenek Kabelac <kabi@debian.org>
 Standards-Version: 3.1.1.1
-Build-Depends: debhelper, perl5, xlibs-dev, libgpmg1-dev, libncurses5-dev, libslang2-dev, patch,
+Build-Depends: debhelper, perl5, libx11-dev, libxt-dev, x-dev, libgpmg1-dev, libncurses5-dev, libslang2-dev, patch,
 
 Package: fte
 Architecture: any
diff -Nru /tmp/9V9Q9suaDz/fte-0.50.0/debian/fte-console.menu /tmp/KaniCSH2FD/fte-0.50.0/debian/fte-console.menu
--- /tmp/9V9Q9suaDz/fte-0.50.0/debian/fte-console.menu	2000-01-30 18:24:07.000000000 +0100
+++ /tmp/KaniCSH2FD/fte-0.50.0/debian/fte-console.menu	2006-01-07 00:16:18.000000000 +0100
@@ -1,2 +1,2 @@
-?package(fte-console):needs=vc section=Apps/Editors\
-	title=VFte longtitle="VFte, a console text editor" command=vfte
+?package(fte-console):needs="vc" section="Apps/Editors"\
+	title="VFte" longtitle="VFte, a console text editor" command="vfte"
diff -Nru /tmp/9V9Q9suaDz/fte-0.50.0/debian/fte-docs.menu /tmp/KaniCSH2FD/fte-0.50.0/debian/fte-docs.menu
--- /tmp/9V9Q9suaDz/fte-0.50.0/debian/fte-docs.menu	2000-01-30 18:24:07.000000000 +0100
+++ /tmp/KaniCSH2FD/fte-0.50.0/debian/fte-docs.menu	2006-01-07 00:14:35.000000000 +0100
@@ -1,7 +1,7 @@
-?package(fte-docs):needs=dwww section=Apps/Editors\
+?package(fte-docs):needs="dwww" section="Apps/Editors"\
 	title="Fte Manual" longtitle="Fte Users Manual"\
 	command="/usr/share/doc/fte/contents.html"
-?package(fte-docs):needs=dwww section=Apps/Editors\
+?package(fte-docs):needs="dwww" section="Apps/Editors"\
 	title="Fte detailed reference"\
 	longtitle="Detailed reference card for default Fte user interface"\
 	command="/usr/share/doc/fte/command.html"
diff -Nru /tmp/9V9Q9suaDz/fte-0.50.0/debian/fte-xwindow.menu /tmp/KaniCSH2FD/fte-0.50.0/debian/fte-xwindow.menu
--- /tmp/9V9Q9suaDz/fte-0.50.0/debian/fte-xwindow.menu	2000-01-30 18:24:07.000000000 +0100
+++ /tmp/KaniCSH2FD/fte-0.50.0/debian/fte-xwindow.menu	2006-01-07 00:15:51.000000000 +0100
@@ -1,7 +1,7 @@
-?package(fte-xwindow):needs=x11 section=Apps/Editors icon="mini-edit.xpm"\
+?package(fte-xwindow):needs="x11" section="Apps/Editors" icon="mini-edit.xpm"\
   title="Fte" longtitle="FTE, a powerful text editor"\
   command="/usr/X11R6/bin/xfte"
-#?package(fte-xwindow):needs=dwww section=Apps/Editors title="Fte Homepage"\
+#?package(fte-xwindow):needs="dwww" section="Apps/Editors" title="Fte Homepage"\
 # command="http://www.ixtas.fri.uni-lj.si/~markom/fte"\
 # longtitle="Fte Homepage"\
 # description="This is the homepage of the fte creator"
[signature.asc (application/pgp-signature, attachment)]

Tags added: fixed Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#346262. Full text and rfc822 format available.

Message #15 received at 346262-submitter@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 346262-submitter@bugs.debian.org
Subject: Debian bug #346262
Date: Thu, 26 Oct 2006 18:59:21 +0100
Hi,

You should have recently received (or will soon receive) an e-mail
telling you that I've closed Debian bug #346262 in the fte 
package, which you reported.

Due to the fact that the package was uploaded by someone who does not
normally do so, the bug was marked as "fixed" rather than closed.

Debian's bug tracking system now allows for this information to be
recorded in a more useful manner, enabling these bugs to be closed.

Due to the volume of bugs affected by this change, we are unfortunately
not sending individualized explanations for each bug. If you have
questions about the fix for your particular bug or about this email,
please contact me directly or follow up to the bug report in the Debian
BTS.

[It's possible you may receive multiple messages stating that the bug
was fixed in several different versions of the package. There are two
common reasons for this:

  - the bug was fixed in one version but subsequently found to exist
    in a later version

  - the bug existed in multiple distributions (for instance, "unstable"
    and "stable") and was thus fixed in a separate upload to each
    distribution
]

Regards,

Adam



Bug marked as fixed in version 0.50.0-1.3, send any further explanations to Kurt Roeckx <kurt@roeckx.be> Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#346262. Full text and rfc822 format available.

Message #20 received at 346262-submitter@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 346262-submitter@bugs.debian.org
Subject: Debian bug #346262
Date: Thu, 26 Oct 2006 19:06:36 +0100
Hi,

You should have recently received (or will soon receive) an e-mail
telling you that I've closed Debian bug #346262 in the fte 
package, which you reported.

Due to the fact that the package was uploaded by someone who does not
normally do so, the bug was marked as "fixed" rather than closed.

Debian's bug tracking system now allows for this information to be
recorded in a more useful manner, enabling these bugs to be closed.

Due to the volume of bugs affected by this change, we are unfortunately
not sending individualized explanations for each bug. If you have
questions about the fix for your particular bug or about this email,
please contact me directly or follow up to the bug report in the Debian
BTS.

[It's possible you may receive multiple messages stating that the bug
was fixed in several different versions of the package. There are two
common reasons for this:

  - the bug was fixed in one version but subsequently found to exist
    in a later version

  - the bug existed in multiple distributions (for instance, "unstable"
    and "stable") and was thus fixed in a separate upload to each
    distribution
]

Regards,

Adam



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 04:07:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:34:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.